/*jslint nomen: true*/
/*global define, window, twitter*/

define([
    'testsuite/qunit',
    'jquery',
    'de_epages/externalcontent/gadgetdialog/twitter-view',

    '$ready!'
], function (QUnit, $, TwitterView) {
    'use strict';

    QUnit.module('de_epages/externalcontent/gadgetdialog/twitter-view', {
        setup: function () {
            window.twitter = new TwitterView();
            $('#qunit-fixture').append(twitter.render().el);
        },
        teardown: function () {
            $('#qunit-fixture').remove();
        }
    });

    QUnit.test('Test twitter settings', 5, function () {
        QUnit.strictEqual(
            $('#ep-gadgets-twitter').length,
            1,
            'Create twitter view'
        );

        QUnit.strictEqual(
            $('input[value="share"]:checked').length,
            1,
            'Share button is checked by default'
        );

        QUnit.strictEqual(
            $('fieldset[name="follow"]').attr('disabled'),
            'disabled',
            'Follow button options are disabled'
        );

        QUnit.deepEqual(
            twitter.gOptions,
            {type: "share", text: "", username: "", url: "", count: "none"},
            "Get default options"
        );

        $('#count').val('vertical').trigger('change');
        $('#text').val('My title').trigger('change');
        $('#username').val('Username').trigger('change');
        $('#url').val('www.epages.de').trigger('change');

        QUnit.deepEqual(
            twitter.gOptions,
            {type: "share", text: "My title", username: "Username", url: "www.epages.de", count: "vertical"},
            "Change options"
        );
    });

});