define("de_epages/amazonpayments/wallet", [
  "jquery"
], function ($) {
  var basketData = $("#walletWidgetDiv").data(),
    BasketId = basketData.basketid,
    ReferenceId = basketData.refid,
    MerchantId = basketData.merchantid;

  function handleError(errorCode, errorType) {
    var nonCritical = {
      AddressNotModifiable: true,
      PaymentMethodNotModifiable: true
    };
    if(!nonCritical[errorCode]) {
      ep("body").busy("show");
      window.location.href = "?ViewAction=TriggerAmazonPaymentsError&ObjectID=" + BasketId + "&" + errorType + "=" + errorCode;
    }
  }

  new OffAmazonPayments.Widgets.Wallet({
    sellerId: MerchantId,
    amazonOrderReferenceId: ReferenceId,
    design: { size : { width:"640px", height:"260px" } },
    onPaymentSelect: function(orderReference) { },
    onError: function(error) { handleError(error.getErrorCode(), "WalletError"); }
  }).bind("walletWidgetDiv");
});
